Monday, 17 March 2014

iOS 7.1 devices not supported by XCode 5.02

Was thinking of upgrading my iPhone 5 to iOS 7.1, after last time's bad experience with iOS 7.0.6 killed my iPhone 5s, I certainly make sure my iPhone 5 been backed up first before the upgrade.

The upgrade went on smoothly, however, I got another issue after that. my XCode won't recognise the phone after the upgrade! As shown below, it shows the version of iOS is not supported! Checked my XCode and found it's on version 5.0.2, looks like need to upgrade XCode as well.


Checked App Store and found XCode version 5.1 available for download. Luckily, the upgrade was quite smooth too. Another issue resolved, back to my development work...